# Uses of Enum Class
javax.swing.DropMode

Packages that use DropMode
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

- ## Uses of DropMode in javax.swing

  Subclasses with type arguments of type DropMode in javax.swing
  Modifier and Type
  Class
  Description
  `enum`
  `DropMode`
  Drop modes, used to determine the method by which a component tracks and indicates a drop location during drag and drop.
  Methods in javax.swing that return DropMode
  Modifier and Type
  Method
  Description
  `final DropMode`
  JList.`getDropMode()`
  Returns the drop mode for this component.
  `final DropMode`
  JTable.`getDropMode()`
  Returns the drop mode for this component.
  `final DropMode`
  JTree.`getDropMode()`
  Returns the drop mode for this component.
  `static DropMode`
  DropMode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DropMode[]`
  DropMode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in javax.swing with parameters of type DropMode
  Modifier and Type
  Method
  Description
  `final void`
  JList.`setDropMode(DropMode dropMode)`
  Sets the drop mode for this component.
  `final void`
  JTable.`setDropMode(DropMode dropMode)`
  Sets the drop mode for this component.
  `final void`
  JTree.`setDropMode(DropMode dropMode)`
  Sets the drop mode for this component.

- ## Uses of DropMode in javax.swing.text

  Methods in javax.swing.text that return DropMode
  Modifier and Type
  Method
  Description
  `final DropMode`
  JTextComponent.`getDropMode()`
  Returns the drop mode for this component.
  Methods in javax.swing.text with parameters of type DropMode
  Modifier and Type
  Method
  Description
  `final void`
  JTextComponent.`setDropMode(DropMode dropMode)`
  Sets the drop mode for this component.